import { OnInit, EventEmitter } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyQuarterlyComponent implements OnInit {
    private frequencyService;
    mode: any;
    quarterlyInterval: string;
    quarterlyInput: number;
    quarterlyFailed: number;
    quarterlyWindow: number;
    selectedQuarterly: number;
    quarterlyLifeCycleStart: Date;
    quarterlyLifeCycleEndTime: Date;
    quarterlyLifecycleOccurance: number;
    quarterlySeletedLifecycleType: number;
    quarterlyGroup: number[];
    frequencyInfo: any;
    quarterlyArray: Array<string>;
    startDate: number;
    frequencyData: any;
    pageType: 'responsibility' | 'policy';
    lifecycleDetails: any;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    valueChangedFirst(event: any): void;
    onTimeChanged(event: string): void;
    selectedMonth(event: any): void;
    lifecycleChange(event: any): void;
    onValueChange(event: any): void;
    getQuarterlyFrequency(): void;
    getPlaceholder(quarterlyInput: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyQuarterlyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyQuarterlyComponent, "app-frequency-quarterly", never, { "mode": { "alias": "mode"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; "pageType": { "alias": "pageType"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
